Bug 196589 - NullPointerException at org.netbeans.modules.cnd.debugger.common2.debugger.breakpoints.NativeBreakpoint.addAnnotation
NullPointerException at org.netbeans.modules.cnd.debugger.common2.debugger.br...
Status: VERIFIED FIXED
Product: cnd
Classification: Unclassified
Component: Debugger
7.0
All All
: P1 (vote)
: 7.0
Assigned To: Egor Ushakov
issues@cnd
EXCEPTIONS_REPORT
: 70_HR_FIX
Depends on: 196542
Blocks:
  Show dependency treegraph
 
Reported: 2011-03-11 13:30 UTC by Vladimir Voskresensky
Modified: 2011-03-21 14:44 UTC (History)
3 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
stacktrace (3.07 KB, text/plain)
2011-03-11 13:30 UTC, Vladimir Voskresensky
Details
stacktrace (3.82 KB, text/plain)
2011-03-12 16:39 UTC, mortennobel
Details
stacktrace (3.87 KB, text/plain)
2011-03-14 10:37 UTC, jocke
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Vladimir Voskresensky 2011-03-11 13:30:04 UTC
Build: NetBeans IDE Dev (Build 110311-f6a507171ede)
VM: Java HotSpot(TM) Client VM, 11.0-b15, Java(TM) SE Runtime Environment, 1.6.0_10-b33
OS: Windows XP

User Comments:
vv159170: setting breakpoint in quote.cc of full remote project without started debugger session




Stacktrace: 
java.lang.NullPointerException
   at org.netbeans.modules.cnd.debugger.common2.debugger.breakpoints.NativeBreakpoint.addAnnotation(NativeBreakpoint.java:1810)
   at org.netbeans.modules.cnd.debugger.common2.debugger.breakpoints.NativeBreakpoint.seedToplevelAnnotations(NativeBreakpoint.java:1907)
   at org.netbeans.modules.cnd.debugger.common2.debugger.breakpoints.Handler.postNewHandler(Handler.java:257)
   at org.netbeans.modules.cnd.debugger.common2.debugger.actions.ToggleBreakpointActionProvider.doAction(ToggleBreakpointActionProvider.java:177)
   at org.netbeans.modules.cnd.debugger.common2.debugger.actions.NativeActionsProvider.postAction(NativeActionsProvider.java:80)
   at org.netbeans.modules.cnd.debugger.common2.debugger.actions.ToggleBreakpointActionProvider.postAction(ToggleBreakpointActionProvider.java:84)
Comment 1 Vladimir Voskresensky 2011-03-11 13:30:09 UTC
Created attachment 106911 [details]
stacktrace
Comment 2 mortennobel 2011-03-12 16:39:49 UTC
Created attachment 106935 [details]
stacktrace

I was browing some sourcecode. I may have held ctrl-down while using a scroll guesture (two finger scroll on MacBook)
Comment 3 Exceptions Reporter 2011-03-13 01:45:54 UTC
This bug already has 5 duplicates 
see http://statistics.netbeans.org/exceptions/detail.do?id=177478
Comment 4 jocke 2011-03-14 10:37:01 UTC
Created attachment 106971 [details]
stacktrace

toggle breakpoint
Comment 5 Egor Ushakov 2011-03-14 11:11:37 UTC
fixed in trunk:
http://hg.netbeans.org/cnd-main/rev/92d08a54da68
Comment 6 Egor Ushakov 2011-03-14 11:12:22 UTC
Vladimir, please review
Comment 7 Alexander Pepin 2011-03-14 14:43:49 UTC
verified in dev build #4962.
Comment 8 Egor Ushakov 2011-03-14 15:26:49 UTC
extra checks in:
http://hg.netbeans.org/cnd-main/rev/8faf38167e4b
Comment 9 Egor Ushakov 2011-03-14 15:28:29 UTC
code changes were made during the review, please verify again
Comment 10 Vladimir Kvashin 2011-03-14 15:43:23 UTC
I reviewed the fixes, I believe they are correct and safe.
Comment 11 Quality Engineering 2011-03-15 09:47:28 UTC
Integrated into 'main-golden', will be available in build *201103150400* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/92d08a54da68
User: Egor Ushakov <gorrus@netbeans.org>
Log: fixed #196589 (NPE in NativeBreakpoint.addAnnotation)
Comment 12 Egor Ushakov 2011-03-15 10:16:36 UTC
waiting for bug 196542 to be integrated into release
Comment 13 Alexander Pepin 2011-03-15 14:15:19 UTC
verified in dev build #4974
Comment 15 Alexander Pepin 2011-03-18 11:32:15 UTC
verified in RC1 build 20110317


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo